Bug 434988 - [RFE] Include mpath_prio_hp_sw in device-mapper-multipath
[RFE] Include mpath_prio_hp_sw in device-mapper-multipath
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Dave Wysochanski
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 13:40 EST by Bryn M. Reeves
Modified: 2010-10-22 18:48 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:09:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backported patch for rhel5.3 - requires minor change to spec file as well (5.03 KB, patch)
2008-07-09 16:14 EDT, Dave Wysochanski
no flags Details | Diff
spec file used to test this patch - updated from device-mapper-multipath-0.4.7-17 spec file (8.38 KB, text/plain)
2008-07-09 16:16 EDT, Dave Wysochanski
no flags Details

  None (edit)
Description Bryn M. Reeves 2008-02-26 13:40:39 EST
Description of problem:
RHEL5 now supports the kernel hardware handler for the HP MSA/HSV active/passive
storage controllers. Upstream multipath-tools now has a path prioritiser for
these arrays as well.

This was merged in this commit:

http://git.kernel.org/gitweb.cgi?p=linux/storage/multipath-tools/.git;a=commit;h=682d66d9fd97cc3b821bfe390c34f6ea5717c14b

    "All paths from a controller with HP Active/Standby firmware
    should really be grouped according to their status; otherwise
    the path switching will not work properly or you can use only
    one path to that array.
    This patch adds a new priority checker 'mpath_hp_sw' which
    will allow these paths to be grouped accordingly."

Version-Release number of selected component (if applicable):
0.4.7-16.el5

How reproducible:
100%

Steps to Reproduce:
1. # rpm -ql device-mapper-multipath | grep mpath_prio_hp_sw
  
Actual results:
No path prioritiser for these SANs.

Expected results:
/sbin/mpath_prio_hp_sw

Additional info:
Comment 2 RHEL Product and Program Management 2008-06-02 16:16:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Dave Wysochanski 2008-07-09 16:14:36 EDT
Created attachment 311414 [details]
Backported patch for rhel5.3 - requires minor change to spec file as well
Comment 4 Dave Wysochanski 2008-07-09 16:16:02 EDT
Created attachment 311415 [details]
spec file used to test this patch - updated from device-mapper-multipath-0.4.7-17 spec file
Comment 5 Ben Marzinski 2008-07-11 21:24:49 EDT
Patch applied. Thanks.
Comment 8 errata-xmlrpc 2009-01-20 17:09:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0232.html

Note You need to log in before you can comment on or make changes to this bug.